import { DBUserAdapter, CreateUserArgs, User, OptionalUser, GetUserForCredentialsArgs } from '@wepublish/api';
import { Db } from 'mongodb';
export declare class MongoDBUserAdapter implements DBUserAdapter {
    private users;
    private bcryptHashCostFactor;
    constructor(db: Db, bcryptHashCostFactor: number);
    createUser({ email, name, password, roleIDs }: CreateUserArgs): Promise<User>;
    getUser(email: string): Promise<OptionalUser>;
    getUsersByID(ids: string[]): Promise<OptionalUser[]>;
    getUserForCredentials({ email, password }: GetUserForCredentialsArgs): Promise<OptionalUser>;
    getUserByID(id: string): Promise<OptionalUser>;
}
//# sourceMappingURL=user.d.ts.map